LibreOffice: XBridgeFactory Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XBridgeFactory Interface Referencepublished

factory to create interprocess bridges. More...

Inheritance diagram for XBridgeFactory:

## Public Member Functions
XBridge | createBridge ([in] string sName, [in] string sProtocol, [in] com::sun::star::connection::XConnection aConnection, [in] XInstanceProvider anInstanceProvider) raises ( BridgeExistsException , com::sun::star::lang::IllegalArgumentException )
| tries to create a UNO interprocess bridge.
XBridge | getBridge ([in] string sName)
| tries to get a bridge by this name.
sequence< XBridge > | getExistingBridges ()
| returns the sequence of all named and unnamed UNO interprocess bridges that are instantiated at the time the call is made.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

factory to create interprocess bridges.

Developers Guide
  Professional UNO - Opening a Connection

## Member Function Documentation

## ◆ createBridge()

XBridge createBridge | ( | [in] string | sName,
|  | [in] string | sProtocol,
|  | [in] com::sun::star::connection::XConnection | aConnection,
|  | [in] XInstanceProvider | anInstanceProvider
| ) |  |
raises | ( | BridgeExistsException ,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

tries to create a UNO interprocess bridge.

Parameters

  sName | The name of the bridge. This allows other components to reuse an already created bridge (using getBridge).

If empty, an anonymous bridge is created, which cannot be retrieved with getBridge(). No BridgeExistsException can be thrown in this case.

Parameters

  sProtocol | The protocol, that will be used on the connection (e.g., urp) plus additional comma separated name=value protocol properties.
  aConnection | The connection, which is used to transfer the calls. The bridge expects to own the connection, thus it will close the connection, in case it does not need it anymore.
  anInstanceProvider | gets called, when a request from remote comes in. You can pass a null reference in case you don't want to export any objects.

Exceptions

  BridgeExistsException | There is already a bridge registered with this name. Use getBridge instead.
  IllegalArgumentException | The protocol is unknown or the connection is null.

## ◆ getBridge()

XBridge getBridge | ( | [in] string | sName | ) |

tries to get a bridge by this name.

Cannot be retrieved, when the bridge got disposed before.

Returns
  An existing remote bridge or a null reference.

## ◆ getExistingBridges()

sequence< XBridge > getExistingBridges | ( |  | ) |

returns the sequence of all named and unnamed UNO interprocess bridges that are instantiated at the time the call is made.

The documentation for this interface was generated from the following file:

- com/sun/star/bridge/XBridgeFactory.idl